Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: cataclysm-dda-git 0.C.2016.03.12-1

Git Clone URL: https://aur-dev.archlinux.org/cataclysm-dda-git.git (read-only)
Package Base: cataclysm-dda-git
Description: A post-apocalyptic roguelike.
Upstream URL: http://en.cataclysmdda.com/
Licenses: CCPL:by-sa
Conflicts: cataclysm-dda,, cataclysm-dda-ncurses, cataclysm-dda-sdl-git
Submitter: Ferk
Maintainer: keenerd
Last Packager: keenerd
Votes: 30
Popularity: 0.041104
First Submitted: 2013-11-23 17:41
Last Updated: 2016-03-12 20:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

gileri commented on 2015-04-25 21:16

Missing gcc as a makedepend.

cyrilccros commented on 2015-04-15 10:41

I am going to use Ferk package, I think.
If you want this specific package build to work, you need to edit the build function.
build(){
cd "$_gitname/src" # Change to correct directory with C++ source files
sed ...... # Same as package
cd .. # Get back to the base directory which contains the makefile
make PREFIX=/usr
}

hickop commented on 2015-01-08 12:41

Cannot change language, stays english whatever I choose.
Also it installs data in "/usr/share/cataclysm-dda,locale/".

Reihar commented on 2014-09-14 09:29

Hi, I made an AUR package for the stable ncurses version of cataclysm-dda and I most based my package on this one. I made a few fixes that might interest you. I added the creation of the memorial folder and the user mod list with the correct rights so that they can be used by the game. I also moved the doc to /usr/doc/cataclysm-dda.

Here's my package : https://aur.archlinux.org/packages/cataclysm-dda-ncurses/
And my PKGBUILD: https://aur.archlinux.org/packages/ca/cataclysm-dda-ncurses/PKGBUILD

nNa commented on 2014-08-25 12:14

I have updated the PKGBUILD to always build Release versions and to use the home folder for saves instead of /var directory. I have also fixed the binary symlinks, so there's an easier way to launch the version without tiles.

Can you update this package?
http://kream.io/files/cataclysm-dda/PKGBUILD

Ferk commented on 2014-04-24 00:20

Thank you, I added the SOUND flag and removed the RELEASE from the tiles build, just in case this happens again, I guess it's not fully stable yet.

AlexTes commented on 2014-04-23 22:35

You my friend, need to update. The RELEASE flag causes a fail on warn from the gcc compiler (as it should). But when building the TILES (sdl) version it picks up an unused variable (playlist), gives a warning, and fails. Like the Makefile details you can now add the SOUND flag. Adding the SOUND flag fixes it.

Ferk commented on 2014-04-13 10:20

I bumped the version number of the package to 0.A

Ferk commented on 2014-04-13 10:05

@Svenstaro What do you mean? What needs updating?
The save directory is still in use by the latest version of the game, I just tested it. I also uninstalled and reinstalled the game from yaourt without issues.

AlexTes commented on 2014-04-13 10:01

Yea it would be nice if you could change the title to 0.A to resolve the pacman thinks 0.9 > 0.A dispute its currently having. Because 0.A is built leading to pacman never thinking its up to date. Flagged it.

(Why not just add to ignorepkg Svenstaro? Its not like you actually rely on pacman to tell you when you need an update, it doesn't know anyway. and this package updates daily so really unless you custom build its easier to pull from http://ci.narc.ro/view/Cataclysm-DDA/job/Cataclysm-Matrix/ anyway.)